Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmCompoundTable

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmTabularSource
                        |
                        +--oracle.olapi.metadata.mtm.MtmCompoundTable

public class MtmCompoundTable
extends MtmTabularSource

An `MtmTabularSource` that represents a logical table that is based on the join of two component logical tables. An `MtmCompoundTable` stores information about the two tables that are joined and the manner in which they are joined. An `MtmCompoundTable` is often used to specify the source table in the `FROM` clause of a `SELECT` statement that is constructed by the Oracle OLAP SQL generator.

For example, consider the following two tables:

- `Years`, which has columns `Year` and `YearEndDate`
- `Quarters`, which has columns `Quarter`, `QuarterEndDate`, and `Year`

These two tables could be joined in the following `SELECT` statement.

        SELECT Year, Quarter, YearEndDate, QuarterEndDate
        FROM Years, Quarters
        WHERE Years.Year = Quarters.Year

In this `SELECT` statement, the `Years` and `Quarters` tables are joined using their common column, which is `Year`. The `WHERE` clause has the following specifications:

- `Years` is the left hand side (LHS) table.
- `Quarters` is the right hand side (RHS) table.
- `Years.Year` is the left hand side expression.
- `Quarters.Year` is the right hand side expression.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmCompoundTable` method of the specified `MtmObjectVisitor` and passes that method this `MtmCompoundTable` and the specified `context` object.
`MtmExpression` | `getLHSExpression()` Gets the expression on the left hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`.
`MtmTabularSource` | `getLHSTabularSource()` Gets the table for the left hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`.
`MtmExpression` | `getRHSExpression()` Gets the expression on the right hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`.
`MtmTabularSource` | `getRHSTabularSource()` Gets the table for the right hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`.

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmCompoundTable` method of the specified `MtmObjectVisitor` and passes that method this `MtmCompoundTable` and the specified `context` object.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmCompoundTable` method.

### getLHSExpression

    public MtmExpression getLHSExpression()

  Gets the expression on the left hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`. In the example given in the description of this class, `Years.Year` is the LHS expression.
  Returns:
    An `MtmExpression` that represents the left hand side expression for this `MtmCompoundTable`.

### getLHSTabularSource

    public MtmTabularSource getLHSTabularSource()

  Gets the table for the left hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`. In the example given in the description of this class, the table is `Years`. Often, the table for the left hand side of the `WHERE` clause is an `MtmTableOrView`.
  Returns:
    An `MtmTabularSource` that represents the left hand side table for this `MtmCompoundTable`.

### getRHSExpression

    public MtmExpression getRHSExpression()

  Gets the expression on the right hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`. In the example given in the description of this class, `Quarters.Year` is the RHS expression.
  Returns:
    An `MtmExpression` that represents the right hand side expression for this `MtmCompoundTable`.

### getRHSTabularSource

    public MtmTabularSource getRHSTabularSource()

  Gets the table for the right hand side of the `WHERE` clause of the `SELECT` statement for this `MtmCompoundTable`. In the example given in the description of this class, the table is `Quarters`. Often, the table for the right hand side of the `WHERE` clause is an `MtmTableOrView`.
  Returns:
    An `MtmTabularSource` that represents the right hand side table for this `MtmCompoundTable`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.